STRUCT HSI_CONFIG(9)

NAME
struct_hsi_config - Configuration for RX/TX HSI modules

SYNOPSIS

struct hsi_config {
  unsigned int mode;
  struct hsi_channel * channels;
  unsigned int num_channels;
  unsigned int num_hw_channels;
  unsigned int speed;
  union {unnamed_union};
};

MEMBERS

mode
    Bit transmission mode (STREAM or FRAME)

channels
    Channel resources used by the client

num_channels
    Number of channel resources

num_hw_channels
    Number of channels the transceiver is configured for [1..16]

speed
    Max bit transmission speed (Kbit/s)

{unnamed_union}
    anonymous

COPYRIGHT